Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface PopupMenuListener

All Superinterfaces:
  EventListener

public interface PopupMenuListener
extends EventListener

A popup menu listener

Method Summary
`void` | `popupMenuCanceled(PopupMenuEvent e)` This method is called when the popup menu is canceled
`void` | `popupMenuWillBecomeInvisible(PopupMenuEvent e)` This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
`void` | `popupMenuWillBecomeVisible(PopupMenuEvent e)` This method is called before the popup menu becomes visible

Method Detail

### popupMenuWillBecomeVisible

    public void popupMenuWillBecomeVisible(PopupMenuEvent e)

  This method is called before the popup menu becomes visible

### popupMenuWillBecomeInvisible

    public void popupMenuWillBecomeInvisible(PopupMenuEvent e)

  This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time

### popupMenuCanceled

    public void popupMenuCanceled(PopupMenuEvent e)

  This method is called when the popup menu is canceled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.